const eslintrc = `module.exports = {
  env: {
    commonjs: true,
    es6: true,
    node: true
  },
  extends: [
    '@scode'
  ],
  globals: {
    Atomics: 'readonly',
    SharedArrayBuffer: 'readonly'
  },
  parserOptions: {
    ecmaVersion: 2018
  }
}
`;

const eslintrc_ts = `module.exports = {
  env: {
    commonjs: true,
    es6: true,
    node: true
  },
  extends: [
    '@scode/eslint-config-ts'
  ],
  globals: {
    Atomics: 'readonly',
    SharedArrayBuffer: 'readonly'
  },
  parserOptions: {
    ecmaVersion: 2018
  }
}
`;

const gitignore = `/node_modules/
/dist/
/.nyc_output/
/coverage/
`;

const npmrc = `@scode:registry=https://npm.scode.ovh
`;

const tsconfig = `{
  "compilerOptions": {
    "target": "es5",
    "module": "commonjs",
    "outDir": "./dist", 
    "rootDir": "./lib",
    "strict": true, 
    "esModuleInterop": true,
    "forceConsistentCasingInFileNames": true,
    "declaration": true  
  }
}
`;

const eslintignore = `/dist/
*.d.ts
`;

export { eslintrc, gitignore, npmrc, tsconfig, eslintrc_ts, eslintignore };
